Subject: Re: 2.6.14 USB vs. sleep issues

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 04 Nov 2005 18:18:50 +1100

> > Heh, in _theory_ :) The first aim of the patch is to remove the crash on
> > sleep/wakeup in 2.6.14. If it doesn't blow up, that's already a good
> 
> Well, I couldn't get to that point (getting back from sleep) :-D
> 
> > first step :) Wether suspend with your USB stick works is a different
> > matter, mostly due to the USB stack itself.
> 
> The kernel oopsed when it was supposed to go to sleep:

I would say your first mistake is to use PREEMPT :) There are various
issues with PREEMPT on ppc32 that have not really been addressed so far,
and the USB code has some "holes" that I wouldn't trust in a PREEMPT
environment.

Anyway, I'll try to come up with a better patch this week-end. Please,
continue giving me feedback with oops backtraces etc...

Ben.